html,
body,
div,
main,
footer,
a,
span,
img {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
}

main,
footer {
    display: block;
}

body {
    line-height: 1;
}

a {
    color: inherit;
    text-decoration: none;
}

img {
    vertical-align: top;
    font-size: 0;
    line-height: 0;
}
